#include <fstream>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	long long n;
	long long count = 0;

	input.open("XUATHIEN1LAN.inp");
	output.open("XUATHIEN1LAN.out");

	input >> n;
	long long a[n];
	for (int i = 0; i < n; i++)
	{
		input >> a[i];
	}

	for (int i = 0; i < n - 1; i++)
	{
		for (int j = i + 1; j < n; j++)
		{
			if (a[i] > a[j])
			{
				a[i] += a[j];
				a[j] = a[i] - a[j];
				a[i] -= a[j];
			}
		}
	}

	for (int i = 1; i < n - 1; i++)
	{
		if (a[i] != a[i - 1] && a[i] != a[i + 1])
		{
			count++;
		}
	}
	output << count << '\n';
	if (count == 0)
	{
		output << 0;
		return 0;
	}

	for (int i = 1; i < n - 1; i++)
	{
		if (a[i] != a[i - 1] && a[i] != a[i + 1])
		{
			output << a[i] << ' ';
		}
	}
	input.close();
	output.close();
	return 0;
}